ace-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dan Tran <dant...@gmail.com>
Subject Re: Unable to build felix/dependencymanager and therefore ACE
Date Thu, 10 Feb 2011 00:59:05 GMT
Thanks Michael.

I went further and blindfully setup dependencyManager for bnd and
bindlib under pom/pom.xml

I got further with missing gwt-dnd-2.6.5. That can be fixed by
installing it to my local repo.

so mvn clean install built

however mvn clean install -Ptargets

fails due to missing org.knopflerfish.bundle.log:log_all:jar:2.0.0

-Dan

On Wed, Feb 9, 2011 at 4:40 PM, Michael Duffy <micduffy@gmail.com> wrote:
> I had the same issue because I was getting the source from the wrong
> subversion. When I get back to my desk i'll let u know which svn I got the
> correct source from
> On 10/02/2011 11:24 AM, "Dan Tran" <dantran@gmail.com> wrote:
>> that is better, I got further build ACE with this errror. Perhaps a
>> bnd and bndlib should have entries in ace's dependencyManagement
>>
>> Missing:
>> ----------
>> 1) biz.aQute:bndlib:jar:0.0.313
>>
>> Try downloading the file manually from the project website.
>>
>> Then, install it using the command:
>> mvn install:install-file -DgroupId=biz.aQute -DartifactId=bndlib
>> -Dversion=0.0.313 -Dpackaging=jar -Dfile=/path/to/file
>>
>> Alternatively, if you host your own repository you can deploy the file
> there:
>> mvn deploy:deploy-file -DgroupId=biz.aQute -DartifactId=bndlib
>> -Dversion=0.0.313 -Dpackaging=jar -Dfile=/path/to/file -Durl=[url]
>> -DrepositoryId=[id]
>>
>> Path to dependency:
>> 1) org.apache.ace:ace-deployment-streamgenerator:bundle:0.8.0-SNAPSHOT
>> 2) org.ops4j.pax.swissbox:pax-swissbox-tinybundles:jar:1.2.0
>> 3) org.ops4j.pax.swissbox:pax-swissbox-bnd:jar:1.2.0
>> 4) biz.aQute:bndlib:jar:0.0.313
>>
>> ----------
>> 1 required artifact is missing.
>>
>> for artifact:
>> org.apache.ace:ace-deployment-streamgenerator:bundle:0.8.0-SNAPSHOT
>>
>>
>>
>> -D
>>
>> On Wed, Feb 9, 2011 at 3:27 PM, Marcel Offermans
>> <marcel.offermans@luminis.nl> wrote:
>>> Thanks!
>>>
>>> I'll forward this issue to my co-developer of that bundle, as he's
> currently working on the annotation bundle for the dependency manager.
>>>
>>> The good news is, you don't really need that one for ACE, so instead of
> building the whole dependency manager, go one level deeper into the
> dependencymanager/core folder and do a "mvn install" there. That should
> build the core bundle, which is enough for ACE and for now just skip the
> rest.
>>>
>>> Sorry for the inconvenience!
>>>
>>> Greetings, Marcel
>>>
>>>
>>> On Feb 10, 2011, at 0:18 , Dan Tran wrote:
>>>
>>>> better log
>>>>
>>>> [INFO] Failed to resolve artifact.
>>>>
>>>> Missing:
>>>> ----------
>>>> 1) biz.aQute:bnd:jar:0.0.401
>>>>
>>>>  Try downloading the file manually from the project website.
>>>>
>>>>  Then, install it using the command:
>>>>      mvn install:install-file -DgroupId=biz.aQute -DartifactId=bnd
>>>> -Dversion=0.0.401 -Dpackaging=jar -Dfile=/path/to/file
>>>>
>>>>  Alternatively, if you host your own repository you can deploy the file
> there:
>>>>      mvn deploy:deploy-file -DgroupId=biz.aQute -DartifactId=bnd
>>>> -Dversion=0.0.401 -Dpackaging=jar -Dfile=/path/to/file -Durl=[url]
>>>> -DrepositoryId=[id]
>>>>
>>>>  Path to dependency:
>>>>        1)
> org.apache.felix:org.apache.felix.dependencymanager.annotation:maven-plugin:3.0.0-SNAPSHOT
>>>>        2) biz.aQute:bnd:jar:0.0.401
>>>>
>>>> ----------
>>>>
>>>>
>>>>
>>>>
>>>> On Wed, Feb 9, 2011 at 3:14 PM, Dan Tran <dantran@gmail.com> wrote:
>>>>> When build with felix/dependencymanagement
>>>>>
>>>>> this what I got.
>>>>>
>>>>>
>>>>> [INFO] Failed to resolve artifact.
>>>>>
>>>>> Missing:
>>>>> ----------
>>>>> 1) biz.aQute:bnd:jar:0.0.401
>>>>>
>>>>>  Try downloading the file manually from the project website.
>>>>>
>>>>>
>>>>> Big thanks for looking into this issue
>>>>>
>>>>> -Dan
>>>>>
>>>>> On Wed, Feb 9, 2011 at 2:19 PM, Marcel Offermans
>>>>> <marcel.offermans@luminis.nl> wrote:
>>>>>> Hello Dan,
>>>>>>
>>>>>> On Feb 9, 2011, at 19:06 , Dan Tran wrote:
>>>>>>
>>>>>>> Hi I am trying the build ACE for the first time, and running
into
>>>>>>> build issue with felix/dependencymanagement snapshot where bnd
> version
>>>>>>> 0.0.401 is not at maven central, but i could not find that version
>>>>>>> either at biz.aQute site.
>>>>>>
>>>>>>> Do you have work around for this?  is there any thing else beside
> bnd?
>>>>>>
>>>>>> I am assuming you found the instructions here:
>>>>>> http://incubator.apache.org/ace/maven-build.html
>>>>>>
>>>>>> From your description I'm not 100% sure where you get the missing
> dependency. Is it when building 'dependencymanager' or 'deploymentadmin'?
> Could you post some lines of output that show the message. Building those
> here locally does seem to work, but that might be because I have things in
> my local Maven cache that you don't.
>>>>>>
>>>>>> Greetings, Marcel
>>>>>>
>>>>>>
>>>>>
>>>>
>>>
>>>
>

Mime
View raw message